# $Revision: 1.20 $, $Date: 2010/07/08 08:03:12 $
%define 	fname	CherryPy
%define		module	cherrypy
#
Summary:	A pythonic, object-oriented web development framework
Summary(pl.UTF-8):	Pythonowy, zorientowany obiektowo szkielet do tworzenia WWW
Name:		python-%{module}
Version:	3.1.2
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://download.cherrypy.org/%{fname}/%{version}/%{fname}-%{version}.tar.gz
# Source0-md5:	15c60b3a91886b9a304d366fba93669c
#Patch0:		%{name}-autoreload.patch
URL:		http://www.cherrypy.org
BuildRequires:	python >= 1:2.5
%pyrequires_eq	python-modules
Requires:	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CherryPy is a pythonic, object-oriented web development framework.

CherryPy allows developers to build web applications in much the same
way they would build any other object-oriented Python program. This
usually results in smaller source code developed in less time.

CherryPy is now more than three years old and it is has proven very
fast and stable. It is being used in production by many sites, from
the simplest ones to the most demanding ones.

Oh, and most importantly: CherryPy is fun to work with :-)

%description -l pl.UTF-8
CherryPy to pythonowy, obiektowo zorientowany szkielet do tworzenia
WWW.

CherryPy pozwala programistom tworzyć aplikacje WWW w sposób bardzo
podobny do tworzenia każdego innego obiektowo zorientowanego programu
w Pythonie. Wynikiem tego jest zwykle mniejszy kod źródłowy stworzony
w krótszym czasie.

CherryPy ma już nieco ponad trzy lata i okazał się być bardzo szybki i
stabilny. Jest używany produkcyjnie przez wiele serwisów, od
najprostszych do bardziej wymagających.

I najważniejsze - praca z CherryPy jest zabawą :-)

%package examples
Summary:	Example files for CherryPy
Summary(pl.UTF-8):	Pliki przykładów dla CherryPy
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example files for CherryPy.

%description examples -l pl.UTF-8
Pliki przykładów dla CherryPy.

%prep
%setup -q -n %{fname}-%{version}
#%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tutorial

find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/ -name \*.py | xargs rm -f

cp -r cherrypy/tutorial $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/CherryPy*
%attr(755,root,root) %{_bindir}/cherryd

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-cherrypy.spec,v $
Revision 1.20  2010/07/08 08:03:12  arekm
- release 2

Revision 1.19  2009/04/23 18:12:43  wiget
- updated to 3.1.2

Revision 1.18  2009/01/06 18:15:22  witekfl
- up to 3.1.1

Revision 1.17  2009/01/06 18:11:43  witekfl
- up to 3.0.0 (The latest stable is 3.1.1, but I need 3.0.0 for now)
- rel 1

Revision 1.16  2008/10/03 17:47:10  arekm
- release 4

Revision 1.15  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.14  2007/01/02 00:26:54  arekm
- rel 3

Revision 1.13  2006/10/27 12:36:42  wiget
- encode spec in UTF-8
- remove manual egg-info generation and require python 2.5 for proper egg-info

Revision 1.12  2006/05/30 14:40:05  glen
- add CVE ref to 2.1.1 release

Revision 1.11  2006/04/25 08:42:04  wiget
- updated to 2.2.1

Revision 1.10  2006/01/10 19:50:10  arekm
- up to 2.1.1; SECURITY bugfix [CVE-2006-0847]

Revision 1.9  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.8  2005/12/20 20:13:25  arekm
- workaround for software which requires this package in egg format

Revision 1.7  2005/12/20 00:05:36  arekm
- fix autoreload for case where there is no py files

Revision 1.6  2005/10/23 23:24:02  heretyk
- up to 2.1.0

Revision 1.5  2005/07/02 19:07:06  qboosh
- simplified define (confused pldnotify)

Revision 1.4  2005/06/28 17:15:01  arekm
- up to final 2.0.0

Revision 1.3  2005/02/20 19:26:28  qboosh
- readable Source URL

Revision 1.2  2005/02/20 19:25:55  qboosh
- pl

Revision 1.1  2005/02/19 22:08:02  jpc
- new spec
